# HG changeset patch
# User Alexey K <lepik.stv@gmail.com>
# Date 1444294924 -10800
#      Thu Oct 08 12:02:04 2015 +0300
# Node ID f8d7a8b1f4f57f36be6f6130f83cb8f36dc1b2d5
# Parent  c64669694c074388a7bda66cd9dc62da802a2763
[KG-816] File SAVE/RELOAD difficulties KYD IP-620 to issue #2907
The "match_model" for the Wouxun KG-816 can mistakenly
match some KYD IP-620 image files.
Related to issue #2907

diff -r c64669694c07 -r f8d7a8b1f4f5 chirp/drivers/wouxun.py
--- a/chirp/drivers/wouxun.py	Thu Oct 08 11:42:55 2015 +0300
+++ b/chirp/drivers/wouxun.py	Thu Oct 08 12:02:04 2015 +0300
@@ -1542,6 +1542,7 @@
         if len(filedata) == 8192 and \
                 filedata[0x60:0x64] != "2009" and \
                 filedata[0x170:0x173] != "LX-" and \
+                filedata[0xF7E:0xF80] != "\x01\xE2" and \
                 filedata[0x1f77:0x1f7d] == "\xff\xff\xff\xff\xff\xff" and \
                 filedata[0x0d70:0x0d80] != "\xff\xff\xff\xff\xff\xff\xff\xff" \
                                            "\xff\xff\xff\xff\xff\xff\xff\xff":
